System requirements: BlackBerry Web Services

Verify that the following software is installed on the computer that you want to use to develop applications for the BlackBerry Web Services. If the BlackBerry Web Services requirements are different from the requirements for any of the third-party software listed below, it is a best practice to follow the recommended BlackBerry Web Services requirements.

Item

Requirement

BlackBerry Enterprise Service 10 compatibility

BlackBerry Enterprise Service 10 includes two instances of the BlackBerry Web Services:
  • BlackBerry Web Services for the BlackBerry Device Service
  • BlackBerry Web Services for the Universal Device Service

You can integrate your custom applications with either of the BlackBerry Web Services to perform managements tasks on the BlackBerry Device Service or the Universal Device Service.

The two versions of the BlackBerry Web Services each support different sets of APIs. This guide and the corresponding API Reference documents specify which APIs each version supports.

Operating system

  • Windows XP or later

Software development kit (SDK)

  • Windows SDK

The Windows SDK includes all of the utilities that are required to work with web services. The setup application for Microsoft Visual Studio automatically installs the required version of the Windows SDK.

Integrated development environment (IDE)

Any of the following:
  • Microsoft Visual Studio 2010
  • Microsoft Visual Studio 2008
  • Microsoft Visual Studio 2005

Web service framework

Use the following web service framework to bind web service requests and to generate the required client proxy files:

  • Microsoft .NET Framework 2.0 or later

The setup application for Microsoft Visual Studio automatically installs the required version of the Microsoft .NET Framework.



Was this information helpful? Send us your comments.